<?
session_start();
include("opendb.php");
if($sv)
{
 if(strlen($config)<=1)
   return;
 $sql="insert into configmaster(model,config) values('$model','$config')";
 mysqli_query($db,$sql) or die('error:'.mysqli_error($db));
}
if($del)
{
  $sql="delete from configmaster where code='$code'";
 mysqli_query($db,$sql) or die(mysqli_error($db));
}
?>
<title>PSN Telcon</title>
<link rel="stylesheet" href="style.css" type="text/css" />
<script type="text/javascript" src="scripts/jquery-latest.js"></script>
<link type="text/css" href="includes/style1.css" rel="stylesheet" />
<link type="text/css" href="css/form.css" rel="stylesheet" />
<script type="text/javascript">
        $(function() {
          if ($.browser.msie && $.browser.version.substr(0,1)<7)
          {
			$('li').has('ul').mouseover(function(){
				$(this).children('ul').show();
				}).mouseout(function(){
				$(this).children('ul').hide();
				})
          }
        });        
    </script>
<script>
function valid()
{
 if(document.f1.config.value.length<=0)
 { alert ('Invalid Configuration'); return false;}
}
</script>
<body background="back_ground.jpg">
<?php include('logo2.php'); ?>
<?php include('includes/top.php'); ?>
<br>
<table class="container"><tr><td>
<font style="font-family: 'Trebuchet MS',Verdana,Helvetica,sans-serif; font-size:15px;">  &nbsp;&nbsp;Master >> <a href="mach_menu.php" style="text-decoration:none;">Machine</a> >> Config Master</font>
<br>
<center>

<form name='f1' action='<?print $PHP_SELF?>' onSubmit="return valid()"> 
<table cellspacing=1 cellpadding=5 class='form'>
<tr><td align=center colspan=2 bgcolor='green'><font color=white><b>CONFIGURATION MASTER</td> </tr>
<tr ><td>Model </td><td>
<select name='model'>
<?
$re=mysqli_query($db,"select * from machmaster order by maname");
while($row=mysqli_fetch_array($re))
{
 print "<option>$row[1]</option>";
}
?>
</select>
</td></tr>
<tr ><td>Configuration </td><td><input type=text size=50 name='config'></td></tr>
<tr><td colspan=2 align=center><input type=submit value='Save' name='sv'></td></tr>
</table>
</form>

<?
$result=mysqli_query($db,"select * from configmaster order by model");
print "<table cellspacing=1 cellpadding=5 class='report'>";
print "<th>No <th>Name <th>Type <th>Del";
$i=1;
while($row=mysqli_fetch_row($result))
{
 print "\n<tr bgcolor=white><form action='$PHP_SELF'><input type=hidden name='code' value='$row[0]'><td>".$i++."</td><td>$row[1]</td><td>$row[2]</td><td><input type=submit value='Del' name='del'></td></form></tr>";
}
?>
</table>

</td></tr></table>
